Summary: SMEserver rpm for setting up cron jobs
%define name dungog-cron
Name: %{name}
%define version 1.3
%define release 11
Version: %{version}
Release: %{release}
Vendor: dungog.net
Copyright: dungog.net
URL: http://www.dungog.net/wiki
Distribution: SME Server
Group: SMEServer/addon
Source: %{name}-%{version}.tar.gz
Packager: Stephen Noble <stephen@dungog.net>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
Requires: e-smith-release >= 7
Requires: e-smith-formmagick >= 1.4.0-10
Obsoletes: dungog-db
AutoReqProv: no

%description
SMEserver rpm for setting up cron jobs with a server-manager panel

%changelog
* Mon Jul 27 2009 Stephen Noble <support@dungog.net> 1.3-11
- Run command allows \"\[\]\/\ \-\:\_\.A-Za-z0-9

* Wed Jun 24 2009 Stephen Noble <support@dungog.net> 1.3-10
- Run command allows ([\/\ \-\:\_\.A-Za-z0-9]*)

* Sat Apr 18 2009 Stephen Noble <support@dungog.net> 1.3-9
- Run command now link
- sample commands added, eg samba status

* Sun Mar 23 2008 Stephen Noble <support@dungog.net> 1.3-8
- make user a drop down not text field

* Fri Mar 14 2008 Stephen Noble <support@dungog.net> 1.3-7
- prepare for pootle translations

* Fri Jun 15 2007 Stephen Noble <support@dungog.net> 1.3-6
- fix translation menu split

* Sat Oct 21 2006 Stephen Noble <support@dungog.net> 1.3-5
- german translation, thanks Deitmar B.
- Obsoletes: dungog-db

* Thu Aug 24 2006 Stephen Noble <support@dungog.net> 1.3-4
- every 5,10,15,30 minutes added
- fix panel menu display

* Fri Jun 09 2006 Stephen Noble <support@dungog.net> 1.3-3
- set a recurring interval within a range
-  eg 9-17/3 every three hours during the day
- midnight changed use 0
- hourly changed, use a range 0-23, not *
- minute 0 added

* Wed Mar 29 2006 Stephen Noble <support@dungog.net> 1.3-2
- Fix header

* Thu Mar 23 2006 Stephen Noble <support@dungog.net> 1.3-1
- FormMagick version

* Mon Mar 13 2006 Stephen Noble <support@dungog.net>
- remove sme7 beta workaround
- [1.2-2]

* Sun Sep 18 2005 Stephen Noble <support@dungog.net>
- option to run every 2,4,8,12 hours
- don't chmod crontab
- [1.2-1]

* Fri Aug 12 2005 Stephen Noble <support@dungog.net>
- sme 7 version
- [1.0-1]

* Sat Jun 4 2005 Stephen Noble <support@dungog.net>
- add midnight option
- [0.1-4]

* Thu Mar 31 2005 Stephen Noble <support@dungog.net>
- add monthly option
- [0.1-3]

* Sat Oct 9 2004 Stephen Noble <support@dungog.net>
- email errors to admin fixed
- ' removed from around command
- [0.1-2]

* Thu Mar 4 2004 Stephen Noble <support@dungog.net>
- initial release
- [0.1-1]


%prep
%setup

%build
perl createlinks

LEXICONS=$(find root/etc/e-smith/{locale/,web/functions/} -type f )
for lexicon in $LEXICONS
do
    /sbin/e-smith/validate-lexicon $lexicon
done

mkdir -p              root/etc/e-smith/db/dungog/defaults/Cron992
echo "Cron"         > root/etc/e-smith/db/dungog/defaults/Cron992/type
echo "Samba status" > root/etc/e-smith/db/dungog/defaults/Cron992/desc
echo "smbstatus"    > root/etc/e-smith/db/dungog/defaults/Cron992/command

mkdir -p             root/etc/e-smith/db/dungog/defaults/Cron993
echo "Cron"        > root/etc/e-smith/db/dungog/defaults/Cron993/type
echo "DHCP leases" > root/etc/e-smith/db/dungog/defaults/Cron993/desc
echo "cat /var/lib/dhcp/dhcpd.leases" > root/etc/e-smith/db/dungog/defaults/Cron993/command

mkdir -p           root/etc/e-smith/db/dungog/defaults/Cron994
echo "Cron"      > root/etc/e-smith/db/dungog/defaults/Cron994/type
echo "Disk free" > root/etc/e-smith/db/dungog/defaults/Cron994/desc
echo "df -h"     > root/etc/e-smith/db/dungog/defaults/Cron994/command

mkdir -p           root/etc/e-smith/db/dungog/defaults/Cron995
echo "Cron"      > root/etc/e-smith/db/dungog/defaults/Cron995/type
echo "Raid"      > root/etc/e-smith/db/dungog/defaults/Cron995/desc
echo "cat /proc/mdstat" > root/etc/e-smith/db/dungog/defaults/Cron995/command

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 /bin/touch /home/e-smith/db/dungog
fi

%postun
#uninstalls
if [ $1 = 0 ] ; then
 /sbin/e-smith/expand-template /etc/crontab
fi

#&upgrades

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
